# AODataKeyGetOwnershipRange

Gets the ownership range to this key type.

### Synopsis

    #include "petscao.h"
    PetscErrorCode AODataKeyGetOwnershipRange(AOData aodata,const char name[],PetscInt *rstart,PetscInt *rend)

Not collective

### Input Parameters

| aodata | - the database
| name | - the name of the key

### Output Parameters

| rstart | - first key owned locally (or PETSC_NULL if not needed)
| rend | - last key owned locally + 1 (or PETSC_NULL if not needed)

### Keywords

database accessing

### See Also

AODataKeyGetInfo()

Level:advanced
Location:src/dm/ao/interface/aodata.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages